Remove job target companies
curl --request DELETE \
--url https://api.stardex.ai/v1/jobs/{id}/target-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.stardex.ai/v1/jobs/{id}/target-companies"
payload = { "company_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.stardex.ai/v1/jobs/{id}/target-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"job_id": "123e4567-e89b-12d3-a456-426614174000",
"removed_ids": [
"456e7890-e12b-34d5-a678-901234567890"
],
"not_found_ids": [
"567e8901-e23c-45d6-e789-012345678901"
],
"failed": [
{
"id": "678e9012-f34d-56e7-f890-123456789012",
"reason": "not_found"
}
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Jobs
Remove job target companies
Remove companies from a job target company list in bulk. Resolve company IDs with POST /v1/companies/search first. Invalid company IDs fail individually and do not block other valid IDs in the same request.
DELETE
/
v1
/
jobs
/
{id}
/
target-companies
Remove job target companies
Authorizations
Authenticate with a Bearer token: API key, OAuth token, or session token.
Path Parameters
Job UUID
Body
application/json
Company UUIDs to add to or remove from the job target company list. Resolve names with POST /v1/companies/search first.
Minimum array length:
1Was this page helpful?
⌘I